uuid: eeca64cb-9c3d-40c4-a9f7-8f32cfb02e0b
langcode: en
status: true
dependencies: {  }
_core:
  default_config_hash: f85wgi1X5OQcul-MaFHfwTnRX0UGYadvMix99y4rc_s
id: d7_flaglistitems
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: d7_materio
label: 'Materio Flag List Items D7'
source:
  plugin: d7_flaglistitems_materio
process:
  user_id:
    plugin: migration_lookup
    migration: d7_users
    source: uid
  type: entity_type
  flag_list:
    plugin: migration_lookup
    migration: d7_flaglists
    source: fid
  baseflag: baseflag
  entity_id:
    plugin: migration_lookup
    migration:
      - d7_node_materiau
      - d7_node_article
    no_stub: true
    source: entity_id
  name:
    plugin: concat
    source:
      - flagcolname
      - dest_entity_id
    delimiter: ' '
destination:
  plugin: 'entity:flag_list_item'
migration_dependencies:
  required:
    - d7_users
    - d7_node_article
    - d7_node_materiau
    - d7_flaglists
